Loading...
Searching...
No Matches
ID3D12DebugVtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions

| BEGIN_INTERFACE (ID3D12Debug *This, REFIID riid, _COM_Outptr_ void **ppvObject)
| void (STDMETHODCALLTYPE *EnableDebugLayer)(ID3D12Debug *This)

## Public Attributes

ID3D12Debug * | This

## Detailed Description

Definition at line 5837 of file mini_d3d12.h.

## Member Function Documentation

## BEGIN_INTERFACE()

ID3D12DebugVtbl::BEGIN_INTERFACE | ( | ID3D12Debug * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject )

References _COM_Outptr_, BEGIN_INTERFACE(), REFIID, STDMETHODCALLTYPE, and This.

Referenced by BEGIN_INTERFACE().

## void()

ID3D12DebugVtbl::void | ( | STDMETHODCALLTYPE * | EnableDebugLayer | ) |

References END_INTERFACE, STDMETHODCALLTYPE, and This.

## Member Data Documentation

## This

ID3D12Debug * ID3D12DebugVtbl::This

Definition at line 5848 of file mini_d3d12.h.

Referenced by BEGIN_INTERFACE(), and void().

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h